REGULATOR_GET_VOLTAG(9)

NAME
regulator_get_voltage - get regulator output voltage

SYNOPSIS

int regulator_get_voltage(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

This returns the current regulator voltage in uV.

NOTE

If the regulator is disabled it will return the voltage value. This function should not be used to determine regulator state.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT